{extends file="backend/index/parent.tpl"}

{block name="backend_index_body_inline"}
	<script type="text/javascript">
		Ext.ns('Shopware.BuiswCleverReachLists');

		(function(){
			View = Ext.extend(Ext.Viewport, {
				layout: 'border',
				initComponent: function() {
					this.items = [{
						id:'BuiswCleverReachListsCenter',
						region: 'center',
						layout: 'fit',
						items:[{
							xtype: 'form',
							layout: 'fit',
							id: 'BuiswCleverReachListsCenterForm',
							items: [
								Tab = new Ext.TabPanel({
									id:'BuiswCleverReachListsCenterFormTabpanel',
									height: 'auto',
									enableTabScroll : true,
									deferredRender : false,
									defaults: {
										autoScroll:true
									},
									listeners:{
										'afterrender': function(){
											var conn = new Ext.data.Connection();

											conn.request({
												url: '{url action=getListsAssignmentsData}',
												waitMsg: 'L&auml;dt ...',
												success: function(responseObject) {
													var response = Ext.decode(responseObject.responseText);
													var shops = response.shops;
													var customergroups = response.customergroups;
													var customergroupsvalues = response.customergroupsvalues;
													var TabPanel = Ext.getCmp("BuiswCleverReachListsCenterFormTabpanel");

													for(indexshops in shops) {
														TabPanel.add({
															title : shops[indexshops],
															id:	'BuiswCleverReachListsCenterFormTabpanel-'+indexshops,
															closable : false
														});

														Ext.getCmp('BuiswCleverReachListsCenterFormTabpanel-'+indexshops).add(new Ext.Container({
															layout:"anchor",
															id:'BuiswCleverReachListsCenterFormTabpanelContainer-'+indexshops,
															items:[{
																xtype: 'panel',
																layout: 'form',
																id:'BuiswCleverReachListsCenterFormTabpanelContainerCustomergroups-'+indexshops,
																title:'Kundengruppen-Listen-Zuordnung'
															}]
														}));

														var textfields = new Array();
														var inputvalue = '';

														for(indexcustomergroups in customergroups) {
															if(typeof customergroups[indexcustomergroups] == 'string') {
																textfields[indexcustomergroups] = new Object();

																if(customergroupsvalues != '' && typeof customergroupsvalues[indexshops] != undefined && typeof customergroupsvalues[indexshops][indexcustomergroups] != undefined) {
																	inputvalue = customergroupsvalues[indexshops][indexcustomergroups];
																} else {
																	inputvalue = '';
																}
															
																textfields[indexcustomergroups].tf = new Ext.form.TextField({
																	name: 'BuiswCleverReachListsCenterFormTabpanelContainerCustomergroupsTextfield['+indexshops+']['+indexcustomergroups+']',
																	value:	inputvalue,
																	style: {
																		margin: '10px 0px 0px 0px'
																	},
																	fieldLabel: customergroups[indexcustomergroups],
																	labelStyle: 'margin:10px 0px 0px 10px'
																});

																Ext.getCmp('BuiswCleverReachListsCenterFormTabpanelContainerCustomergroups-'+indexshops).add(textfields[indexcustomergroups].tf);
															}
														}
													}

													Tab.activate(0);
												},
												failure: function() {
													Ext.Msg.alert('Fehler', 'Fehler beim Laden der Daten');
												}
											})
										}
									}
								})
							]
						}]
					},{
						id:'BuiswCleverReachListsSouth',
						region: 'south',
						layout: 'fit',
						height: 50,
						minHeight: 50,
						split: true,
						items: [{
							id:'BuiswCleverReachListsSouthSavebutton',
							xtype:'button',
							text: 'Speichern',
							cls: 'savebutton',
							iconCls:'disk',
							listeners:{
								'click': function(){
									var form = Ext.getCmp('BuiswCleverReachListsCenterForm');

									form.getForm().submit({
										url: '{url action=saveListsAssignments}',
										success: function(f,a){
											parent.Growl ("Einstellungen wurden &uuml;bernommen!");
										},
										failure: function(f,a){
											if (a.failureType === Ext.form.Action.CONNECT_FAILURE)
												Ext.Msg.alert('Fehler', 'Server meldet:'+a.response.status+' '+a.response.statusText);

											if (a.failureType === Ext.form.Action.SERVER_INVALID)
											   Ext.Msg.alert('Fehler', a.result.errormsg);
										}
									});
								}
							}
						}]
					}];

					View.superclass.initComponent.call(this);
				}
			});

			Shopware.BuiswCleverReachLists.View = View;
		})();

		Ext.onReady(function(){
			CRView = new Shopware.BuiswCleverReachLists.View;
		});
	</script>
{/block}